Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1761 - 2.92 dumps core, 2.5.6 deletes all files from the package.
Summary: 2.92 dumps core, 2.5.6 deletes all files from the package.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-24 22:00 UTC by Eugene Kanter
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 23:28:48 UTC


Attachments (Terms of Use)

Description Eugene Kanter 1999-03-24 22:00:20 UTC
here is the message I send to JBJ earlier:

Jeff, you remember my original pledge, here is the
continuation:

1. rpm -Uvh best1-ntc-6.3.00-2.i386.cygwin.rpm --ignoreos
--relocate
/best1_home=/$HOME --relocate "/Start Menu=/$HOME"

2. rpm -Uvh best1-ntc-6.3.00-3.i386.cygwin.rpm --ignoreos
--relocate
/best1_home=/$HOME --relocate "/Start Menu=/$HOME"

3. as a result of a second command ALL best1-ntc package
files are
deleted. Note that if you do not put '/' in front of $HOME,
everything
is OK. However I do need '//' as a first thing in the path
to satisfy
CYGWIN.

rpm --version
RPM version 2.5.6, almost stock RH 5.2

Packages in question available in the location:
ftp://ftp.ultra.net/pub/eugene/test. Packages contain just
one file for
test purposes. File is the same in both. Packages were made
on NT.

Any hints are greatly appreciated!!


------end of message------------

Today I decided to repeat the same on Red Hat 5.9, since
there have been aparently no interest in fixing rpm 2.5.6 at
this time.

here it is, stock RH 5.9

please note  the '/' before $HOME. I need it for normal RPM
functionality under CYGWIN/UWIN. It is very important. RPM
works fine otherwise.

[ekanter@EKANTER ekanter]$ cat .rpmrc
macrofiles: /usr/lib/macros:/home/ekanter/.rpmmacros
[ekanter@EKANTER ekanter]$ cat .rpmmacros
%_dbpath  /home/ekanter/rpmdb
[ekanter@EKANTER ekanter]$ rpm -Uvh
~eugene/redhat/RPMS/i386/best1-ntc-6.3.00-2.i386.cygwin.rpm
--ignoreos --relocate /best1_home=/$HOME --nodeps
best1-ntc
##################################################
[ekanter@EKANTER ekanter]$ rpm -Uvh
~eugene/redhat/RPMS/i386/best1-ntc-6.3.00-3.i386.cygwin.rpm
--ignoreos --relocate /best1_home=/$HOME --nodeps
best1-ntc
##################################################
Segmentation fault (core dumped)
[ekanter@EKANTER ekanter]$

Comment 1 Jeff Johnson 2000-07-26 11:49:52 UTC
AFAIK, this problem does not exist in rpm-3.0.x or later.


Note You need to log in before you can comment on or make changes to this bug.